export declare class Client {
    private helpers;
    private options;
    _fetch: any;
    constructor(options: ClientOptions);
    get(endpoint: string, parameters?: object): Promise<any>;
    put(endpoint: string, payload: object): Promise<any>;
    post(endpoint: string, payload: object): Promise<any>;
    delete(endpoint: string): Promise<any>;
    login(username: string, password: string): Promise<any>;
    logout(): Promise<any>;
}
export declare class ClientOptions {
    apiKey?: string;
    apiSecretKey?: string;
    authToken?: string;
    development?: boolean;
    service?: string;
    developmentUrl?: string;
    baseUrl?: string;
}
export declare class ClientHelpers {
    private options;
    constructor(options: ClientOptions);
    formatPayload(payload: any): any;
    getBaseUrl(): string;
    getHeaders(endpoint: string, payload?: Object): any;
    getNonce(timestamp: number, endpoint: string, payloadStr?: string): string;
    stringifyParameters(object: any): string;
    private mapKeyValuePairs;
    private stringifyFilters;
}
//# sourceMappingURL=index.d.ts.map